##### ip::basic_resolver::basic_resolver (2 of 4 overloads)

Construct with execution context.

    template<
        typename ExecutionContext>
    basic_resolver(
        ExecutionContext & context,
        typename constraint< is_convertible< ExecutionContext &, execution_context & >::value >::type  = 0);

This constructor creates a `ip::basic_resolver`.

###### Parameters

context

  An execution context which provides the I/O executor that the resolver will use, by default, to dispatch handlers for any asynchronous operations performed on the resolver.